org.eclipse.ecf.provider.zookeeper.core

## Interface IDiscoveryConfig

All Known Implementing Classes:
  DefaultDiscoveryConfig

    public interface IDiscoveryConfig

Configuration values of this ZooKeeper-based discovery provider.

### Field Summary

Fields
`static String` `ZOODISCOVERY_CONSOLELOG`
`static String` `ZOODISCOVERY_FLAVOR_CENTRALIZED`
`static String` `ZOODISCOVERY_FLAVOR_REPLICATED`
`static String` `ZOODISCOVERY_FLAVOR_STANDALONE`
`static String` `ZOOKEEPER_AUTOSTART` If found and the zookeeper discovery bundle is started then the zookeeper server will be started automatically.
`static String` `ZOOKEEPER_CLIENTPORT` The port at which the clients will connect.
`static String` `ZOOKEEPER_DATADIR` The single name of the directory in `ZOOKEEPER_TEMPDIR` where the snapshot is stored.
`static String` `ZOOKEEPER_DATALOGDIR` The single name of the directory in `ZOOKEEPER_TEMPDIR` where the log is stored.
`static String` `ZOOKEEPER_ELECTION_PORT` Leader election port.
`static String` `ZOOKEEPER_INITLIMIT` The number of ticks that the initial synchronization phase can take.
`static String` `ZOOKEEPER_SERVER_PORT` Server to server port.
`static String` `ZOOKEEPER_SYNCLIMIT` The number of ticks that can pass between sending a request and getting an acknowledgment.
`static String` `ZOOKEEPER_TEMPDIR` The directory where zookeeper can work.
`static String` `ZOOKEEPER_TICKTIME` The number of milliseconds of each tick.

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Object>` `getConfigProperties()`

### Field Detail

#### ZOODISCOVERY_FLAVOR_STANDALONE

    static final String ZOODISCOVERY_FLAVOR_STANDALONE

See Also:
  Constant Field Values

#### ZOODISCOVERY_FLAVOR_CENTRALIZED

    static final String ZOODISCOVERY_FLAVOR_CENTRALIZED

See Also:
  Constant Field Values

#### ZOODISCOVERY_FLAVOR_REPLICATED

    static final String ZOODISCOVERY_FLAVOR_REPLICATED

See Also:
  Constant Field Values

#### ZOODISCOVERY_CONSOLELOG

    static final String ZOODISCOVERY_CONSOLELOG

See Also:
  Constant Field Values

#### ZOOKEEPER_TICKTIME

    static final String ZOOKEEPER_TICKTIME

The number of milliseconds of each tick. OPTIONAL

See Also:
  Constant Field Values

#### ZOOKEEPER_AUTOSTART

    static final String ZOOKEEPER_AUTOSTART

If found and the zookeeper discovery bundle is started then the zookeeper server will be started automatically. Value is not relevant, only the definition.

Since:
  1.0.0
See Also:
  Constant Field Values

#### ZOOKEEPER_TEMPDIR

    static final String ZOOKEEPER_TEMPDIR

The directory where zookeeper can work. OPTIONAL

See Also:
  Constant Field Values

#### ZOOKEEPER_DATADIR

    static final String ZOOKEEPER_DATADIR

The single name of the directory in `ZOOKEEPER_TEMPDIR` where the snapshot is stored. OPIONAL

See Also:
  Constant Field Values

#### ZOOKEEPER_DATALOGDIR

    static final String ZOOKEEPER_DATALOGDIR

The single name of the directory in `ZOOKEEPER_TEMPDIR` where the log is stored. It may be the same as `ZOOKEEPER_DATADIR` but better if separate. OPTIONAL

See Also:
  Constant Field Values

#### ZOOKEEPER_INITLIMIT

    static final String ZOOKEEPER_INITLIMIT

The number of ticks that the initial synchronization phase can take. OPTIONAL

See Also:
  Constant Field Values

#### ZOOKEEPER_SYNCLIMIT

    static final String ZOOKEEPER_SYNCLIMIT

The number of ticks that can pass between sending a request and getting an acknowledgment. OPTIONAL

See Also:
  Constant Field Values

#### ZOOKEEPER_CLIENTPORT

    static final String ZOOKEEPER_CLIENTPORT

The port at which the clients will connect. OPTIONAL

See Also:
  Constant Field Values

#### ZOOKEEPER_SERVER_PORT

    static final String ZOOKEEPER_SERVER_PORT

Server to server port. OPTIONAL

See Also:
  Constant Field Values

#### ZOOKEEPER_ELECTION_PORT

    static final String ZOOKEEPER_ELECTION_PORT

Leader election port. OPTIONAL

See Also:
  Constant Field Values

### Method Detail

#### getConfigProperties

    Map<String,Object> getConfigProperties()

Returns:
  Map of properties used for configuration. All properties understood by Apache ZooKeeper (v3.1.1) might be included as well.
See Also:
  ZooKeeper Administrator's Guide